com.ihr.xbrl.updates

## Class UpdateFactProperties

- java.lang.Object
- - com.ihr.xbrl.database.common.XBRLDatabaseAccessApp
  - - com.ihr.xbrl.updates.UpdateFactProperties

-     public class UpdateFactProperties
      extends XBRLDatabaseAccessApp

  The Class UpdateFactProperties.
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UpdateFactProperties.UpdateSingleFactProperties` The Class UpdateSingleFactProperties.
    `class` | `UpdateFactProperties.UpdateThread` The Class UpdateThread.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateFactProperties()` Instantiates a new update fact properties.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` Updates all fact properties in the database.
    `java.lang.Long` | `next()` Next.

    - ### Methods inherited from class com.ihr.xbrl.database.common.XBRLDatabaseAccessApp

      `getDbUtil, getStatus, showDbSettings`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateFactProperties

          public UpdateFactProperties()

      Instantiates a new update fact properties.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.SecurityException,
                                  java.lang.NoSuchMethodException,
                                  java.lang.IllegalArgumentException,
                                  java.lang.IllegalAccessException,
                                  java.lang.reflect.InvocationTargetException

      Updates all fact properties in the database.
      Parameters:
        `args` - the arguments
      Throws:
        `java.lang.SecurityException` - the security exception
        `java.lang.NoSuchMethodException` - the no such method exception
        `java.lang.IllegalArgumentException` - the illegal argument exception
        `java.lang.IllegalAccessException` - the illegal access exception
        `java.lang.reflect.InvocationTargetException` - the invocation target exception

    - #### next

          public java.lang.Long next()

      Next.
      Returns:
        the long